## org.apache.poi.hdgf.exceptions
Class HDGFException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.poi.hdgf.exceptions.HDGFException

All Implemented Interfaces:
  java.io.Serializable

    public final class HDGFException

extends java.lang.RuntimeException

The superclass of all HDGF exceptions

Author:
  Yegor Kozlov
See Also:
  Serialized Form

Constructor Summary
`HDGFException()`
`HDGFException(java.lang.String message)`
`HDGFException(java.lang.String message, java.lang.Throwable cause)`
`HDGFException(java.lang.Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HDGFException

    public HDGFException()

### HDGFException

    public HDGFException(java.lang.String message)

### HDGFException

    public HDGFException(java.lang.String message,
                         java.lang.Throwable cause)

### HDGFException

    public HDGFException(java.lang.Throwable cause)

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.